from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDatabaseParameterBroadcaster(XInterface, Protocol):
    def addParameterListener(self, aListener: XDatabaseParameterListener) -> None: ...
    def removeParameterListener(self, aListener: XDatabaseParameterListener) -> None: ...
